package com.dev.swms.server.model.fee;

import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.Structure;
import com.dev.energy.server.model.DomainModel;

public class InventoryLPCount extends DomainModel{
	
	private Structure company;
	
	private String itemFeeType;//货品结算分类
	
	private Item item;//货品
	
	private Integer lpQty;//托数

	public InventoryLPCount(Structure company, String itemFeeType,
			Item item, Long lpQty) {
		this.company = company;
		this.itemFeeType = itemFeeType;
		this.item = item;
		this.lpQty = Integer.valueOf(lpQty.toString());
	}

	public Structure getCompany() {
		return company;
	}

	public void setCompany(Structure company) {
		this.company = company;
	}

	public String getItemFeeType() {
		return itemFeeType;
	}

	public void setItemFeeType(String itemFeeType) {
		this.itemFeeType = itemFeeType;
	}

	public Item getItem() {
		return item;
	}

	public void setItem(Item item) {
		this.item = item;
	}

	public Integer getLpQty() {
		return lpQty;
	}

	public void setLpQty(Integer lpQty) {
		this.lpQty = lpQty;
	}

	public InventoryLPCount() {
	}
}
